package net.nourdine.jp.config;

import java.io.File;
import java.io.IOException;
import java.text.MessageFormat;
import java.util.Properties;
import java.util.logging.Level;
import java.util.logging.Logger;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import net.nourdine.jp.dialog.UIDialog;
import net.nourdine.jp.log.JsPackerLogger;

import org.w3c.dom.Document;

public class XmlFile {

   private static JsPackerLogger log = JsPackerLogger.getInstance();
   public static Properties dialog = UIDialog.getInstace().getProperties();
   File file;

   public XmlFile(String path) {
      file = new File(path);
   }

   public String getPhysicalPath() {
      String path = null;
      try {
         path = file.getCanonicalPath();
      } catch (IOException ex) {
         Logger.getLogger(XmlFile.class.getName()).log(Level.SEVERE, null, ex);
      }
      return path;
   }

   public Document getDoc() {
      Document doc = null;
      try {
         DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
         DocumentBuilder db = dbf.newDocumentBuilder();
         doc = db.parse(file);
      } catch (Exception e) {
         log.error(MessageFormat.format(dialog.getProperty("config_file_not_found"), file.getName()));
         System.exit(0);
      }
      return doc;
   }
}
